Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 507804

Summary: Review Request: perl-Flickr-API - Flickr API interface
Product: [Fedora] Fedora Reporter: Michal Ingeli <mi>
Component: Package ReviewAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, lkundrak, notting, reidrac, ron
Target Milestone: ---Flags: lkundrak: fedora-review+
j: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.32-2.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-11 22:38:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 507805    

Description Michal Ingeli 2009-06-24 11:11:53 UTC
Spec URL: http://v3.sk/~xyzz/rpm/f11/perl-Flickr-API.spec
SRPM URL: http://v3.sk/~xyzz/rpm/f11/perl-Flickr-API-1.01-1.fc11.src.rpm

Description: Perl interface to the Flickr API

Comment 1 Lubomir Rintel 2009-06-26 13:03:58 UTC
1.) Licensing

README states "License: Perl Artistic License" (which sounds bad as it's not
clear if GPL is permitted as well)m while XML::Parser::LiteCopy manual reads
"This library is free software; you can redistribute it and/or modify it under
the same terms as Perl itself." (which is good). Please ask upstream for
clarification.

2.) Please remove useless requires. RPM generates the list for you and the runtime does not depend on the testing framework:

Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Test::More)

(Explicitly versioned ones are ok)

Comment 2 Lubomir Rintel 2009-06-26 13:08:06 UTC
* rpmlint is quiet
* name is well according to the guidelines
* source matches upstream
* clean and legible SPEC file, American English
* runs testsuite
* builds file in mock
* filelists, documentation ok

Needs work:
- sane provides/requires
- license ok

Comment 3 Michal Ingeli 2009-08-01 07:07:56 UTC
License fixed by upstream(In reply to comment #2)
> Needs work:
> - sane provides/requires
Hopefully fixed.

> - license ok  
License fixed by upstream

Spec URL: http://v3.sk/~xyzz/rpm/f11/perl-Flickr-API.spec
SRPM URL: http://v3.sk/~xyzz/rpm/f11/perl-Flickr-API-1.02-1.fc11.src.rpm

Comment 4 Lubomir Rintel 2009-08-01 07:30:04 UTC
Seems fine now.
Thanks.

APPROVED

Comment 5 Michal Ingeli 2009-08-01 20:06:15 UTC
New Package CVS Request
=======================
Package Name: perl-Flickr-API
Short Description: Flickr API interface
Owners: ksyz
Branches: F-11 EL-5
InitialCC:

Comment 6 Juan J. Martínez 2009-08-01 20:24:06 UTC
*** Bug 515045 has been marked as a duplicate of this bug. ***

Comment 7 Juan J. Martínez 2009-08-01 20:25:33 UTC
I asked upstream to change the license, but I didn't realize the work being done here, so I marked Bug 515045 as duplicated of this.

Comment 8 Jason Tibbitts 2009-08-01 20:29:46 UTC
CVS done.

Comment 9 Fedora Update System 2009-08-10 19:02:27 UTC
perl-Flickr-API-1.02-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Flickr-API-1.02-1.fc11

Comment 10 Fedora Update System 2009-08-11 22:38:51 UTC
perl-Flickr-API-1.02-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-08-25 12:14:51 UTC
perl-Flickr-API-1.02-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Flickr-API-1.02-1.el5

Comment 12 Fedora Update System 2009-09-17 18:01:07 UTC
perl-Flickr-API-1.02-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-09-23 06:49:08 UTC
perl-Flickr-Upload-1.32-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Flickr-Upload-1.32-2.el5

Comment 14 Fedora Update System 2009-10-10 20:25:37 UTC
perl-Flickr-Upload-1.32-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.